/* src/alps/config.h.  Generated by configure.  */
/*****************************************************************************
*
* ALPS Project: Algorithms and Libraries for Physics Simulations
*
* ALPS Light Libraries
*
* Copyright (C) 1994-2003 by Matthias Troyer <troyer@itp.phys.ethz.ch>,
*                            Synge Todo <wistaria@comp-phys.org>
*
* This software is part of the "ALPS Light" Libraries, public-domain
* part of the ALPS Libraries. If you need the full functionality of
* the ALPS Libraries, such as Lattice, Model, Scheduler, etc, please
* use the full version of ALPS Libraries, which is available from
* http://alps.comp-phys.org/.
*
* Permission is hereby granted, free of charge, to any person or organization
* obtaining a copy of the software and accompanying documentation covered by
* this license (the "Software") to use, reproduce, display, distribute,
* execute, and transmit the Software, and to prepare derivative works of the
* Software, and to permit third-parties to whom the Software is furnished to
* do so, all subject to the following:
*
* The copyright notices in the Software and this entire statement, including
* the above license grant, this restriction and the following disclaimer,
* must be included in all copies of the Software, in whole or in part, and
* all derivative works of the Software, unless such copies or derivative
* works are solely in the form of machine-executable object code generated by
* a source language processor.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
* SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
* FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
* ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
* DEALINGS IN THE SOFTWARE.
*
*****************************************************************************/

/* $Id: config.h.in,v 1.10 2004/10/12 17:14:00 troyer Exp $ */

#ifndef ALPS_CONFIG_H
#define ALPS_CONFIG_H

// ALPS version
#define ALPS_VERSION "1.2.2"

// latest publish year of ALPS
#define ALPS_YEAR "2004"

// XSLT PATH
#define ALPS_XML_DIR "/usr/lib/xml"

//
// Experimental Features
//

// Define to 1 if you want use newer Expression class
#define ALPS_WITH_NEW_EXPRESSION 1

//
// C/C++ headers
//

// Define to 1 if you have the <stdarg.h> header file.
#define ALPS_HAVE_STDARG_H 

// Define to 1 if you have the <stdint.h> header file.
#define ALPS_HAVE_STDINT_H 

// Define to 1 if you have the <inttypes.h> header file.
#define ALPS_HAVE_INTTYPES_H 

// Define to 1 if you have the <unistd.h> header file.
#define ALPS_HAVE_UNISTD_H 

// Define to 1 if you have the <bind/bitypes.h> header file.
/* #undef ALPS_HAVE_BIND_BITYPES_H */

// Define to 1 if you have the <sys/int_types.h> header file.
/* #undef ALPS_HAVE_SYS_INT_TYPES_H */

// Define to 1 if you have the <sys/systeminfo.h> header file.
/* #undef ALPS_HAVE_SYS_SYSTEMINFO_H */

// Define to 1 if you have the <sys/time.h> header file.
#define ALPS_HAVE_SYS_TIME_H 

// Define to 1 if you have the <sys/types.h> header file.
#define ALPS_HAVE_SYS_TYPES_H 

// Define to 1 if you have valarray<T>.
#define ALPS_HAVE_VALARRAY 

//
// Libraries
//

// Define to 1 if you have the PTHREAD library
#define ALPS_HAVE_PTHREAD 

// Define to 1 if you have the MPI library
#define ALPS_HAVE_MPI 

// Define to 1 if you have the PVM library
#define ALPS_HAVE_PVM 

// Define to 1 if you have the HDF5 library
/* #undef ALPS_HAVE_HDF5 */

//
// XML parser
//

// Define to 1 if you use Expat XML parser by James Clark.
#define ALPS_HAVE_EXPAT_PARSER 

// Define to 1 if you use Xerces C++ XML parser by Apache Software Foundation.
/* #undef ALPS_HAVE_XERCES_PARSER */

//
// Introduce [int,uint]*_t into alps namespace
//

#ifdef ALPS_HAVE_STDINT_H
# include <stdint.h>
#elif defined(ALPS_HAVE_INTTYPES_H)
# include <inttypes.h>
#elif defined(ALPS_HAVE_SYS_INT_TYPES_H)
# include <sys/int_types.h>
#elif defined(ALPS_HAVE_BIND_BITYPES_H)
# include <bind/bitypes.h>
  typedef u_int8_t uint8_t;
  typedef u_int16_t uint16_t;
  typedef u_int32_t uint32_t;
#endif

#include <boost/cstdint.hpp>

namespace alps {

#ifndef BOOST_NO_INT64_T
using boost::int64_t;
using boost::uint64_t;
#endif

} // end namespace alps

#include <boost/config.hpp>

#ifndef BOOST_NO_VOID_RETURNS
# define ALPS_DUMMY_VOID void
# define ALPS_RETURN_VOID
#else
# define ALPS_DUMMY_VOID bool
# define ALPS_RETURN_VOID return true;
#endif

#endif // ALPS_CONFIG_H
